#!/usr/bin/env bash

function git_get_current_tag {
	local res
	res=$(git describe --exact-match --tags 2>/dev/null)
	printf "%s" "${res}"
}

function git_get_current_branch {
 local res
 res=$(git rev-parse --abbrev-ref HEAD)
 printf "%s" "${res}"
}

# shellcheck disable=SC2120
function git_get_commit_id {
	local revision="${1:-HEAD}"
	local res
	res=$(git rev-parse "${revision}" | cut -c1-7)
	printf "%s" "${res}"
}

function git_tag_exists {
    if git rev-parse "$1" >/dev/null 2>&1
    then
        return 0
	else
		return 1
    fi
}

